EMP_SERVER(6)

NAME
emp_server - Empire server

SYNOPSIS
emp_server [ -dFhpsv ] [ -e configfile ] [ -E action ] [ -R seed ]

DESCRIPTION
emp_server is a daemon which listens to the Empire port for players connecting to the game. For more information on the game of Empire, see the info pages within the game.

OPTIONS

-d  Debug mode. This will prevent the server from forking itself into the background. Implies -E abort. You normally want to use this flag if you are running emp_server from within a debugger.

-e configfile
    Use game configuration in configfile.

-E action
    What to do on recoverable internal error ("oops"): abort, crash-dump (but continue), nothing (default). crash-dump works by aborting a fork of the server process.

-F  Force emp_server to start even when game state looks bad. Risks crashes and further corruption; use this only for attempting to fix up problems. Better make a backup first, and lock out players.

-h  Help. Print brief usage information and exit.

-p  Threading debug mode. Implies -d.

-s  Enable thread stack checking.

-R  seed
    Set the seed for random function.

-v  Print version information and exit.

OPERANDS
Operands are ignored for backward compatibility. Their use is deprecated.

SIGNALS

SIGHUP
    Request emp_server to reopen log files and reload its configuration. This allows proper log rotation. Only the update schedule is reloaded at this time.

SIGINT, SIGTERM
    Request emp_server to shut down immediately.

BUGS
Please report all bugs to the Wolfpack <wolfpack@wolfpackempire.com>

SEE ALSO
empire(6), empsched(6), fairland(6), files(6), pconfig(6).

AUTHORS
Dave Pare, Jeff Bailey, Thomas Ruschak, Ken Stevens, Steve McClure and Markus Armbruster are principal authors. The full list of authors is too long to include here.